# class SharedREDEngine

*Defined at src/network/switch/ecn_shared_red.h#18*

Inherits from ECNEngine



## Functions

### SharedREDEngine

*public void SharedREDEngine(Rng *const rng)*

*Defined at src/network/switch/ecn_shared_red.h#20*

### process_packet

*public Packet & process_packet(Packet & pkt, SwitchBuffer * buf)*



